package com.uas.cloud.mall.home.domain;


import java.util.List;

/**
 * 类目简要信息（除类目标准属性）
 * Created by wangyc on 2017/2/24.
 *
 */
public class KindInfo{
    /**
     * ID号
     */
    private Long id;

    /**
     * 父级类目的id号
     */
    private Long parentid;

    /**
     * 是否为叶子类目 1是 0否
     */
    private Short isLeaf;

    /**
     * 在父级类目中的排序序号
     */
    private Short detno;

    /**
     * 类目的名称
     */
    private String nameCn;

    /**
     * 类目的英文名称
     */
    private String nameEn;

    /**
     * 类目包含的器件总数，包括其所有子类目下的
     */
    private Long count;

    /**
     * 类目的层级，从1开始，1、2、3、4
     */
    private Short level;

    /**
     * 所含子类目
     */
    private List<KindInfo> children;

    /**
     * 其兄弟类目
     */
    private List<KindInfo> bothers;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getParentid() {
        return parentid;
    }

    public void setParentid(Long parentid) {
        this.parentid = parentid;
    }

    public Short getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(Short isLeaf) {
        this.isLeaf = isLeaf;
    }

    public boolean isLeaf() {
        return this.isLeaf == null ? false : getIsLeaf() == 1;
    }

    public Short getDetno() {
        return detno;
    }

    public void setDetno(Short detno) {
        this.detno = detno;
    }

    public String getNameCn() {
        return nameCn;
    }

    public void setNameCn(String nameCn) {
        this.nameCn = nameCn;
    }

    public String getNameEn() {
        return nameEn;
    }

    public void setNameEn(String nameEn) {
        this.nameEn = nameEn;
    }

    public Long getCount() {
        return count;
    }

    public void setCount(Long count) {
        this.count = count;
    }

    public Short getLevel() {
        return level;
    }

    public void setLevel(Short level) {
        this.level = level;
    }

    public List<KindInfo> getChildren() {
        return children;
    }

    public void setChildren(List<KindInfo> children) {
        this.children = children;
    }

    public List<KindInfo> getBothers() {
        return bothers;
    }

    public void setBothers(List<KindInfo> bothers) {
        this.bothers = bothers;
    }
}
